#114 Softbounce Cronjob

OpenEMM
closed-rejected
nobody
OpenEMM 6.0 (9)
1
2010-01-04
2009-12-17
Shuro
No

In the Table "bounce_tbl" are newer entries than the timestamp in the table "timestamp_tbl".

so it should write a entry in softbounce_email_tbl but the Table is still empty

1 Soft and 1 Hard bounced subscriber
The softbounce-log says that:
[17.12.2009 11:53:42] 26870 INFO/main: Starting up
[17.12.2009 11:53:42] 26870 INFO/kill: Removed 0 address(es)
[17.12.2009 11:53:42] 26870 INFO/collect: Updated timestamps
[17.12.2009 11:53:43] 26870 INFO/collect: Read 5 records (2 uniques) and inserted 1
[17.12.2009 11:53:43] 26870 INFO/collect: Timestamp updated
[17.12.2009 11:53:43] 26870 INFO/main: Going down

Difference if 2 unique Subscribers has a bounce, than are two entries in the softbounce_email_tbl.

2 soft bounce subscriber
[17.12.2009 11:57:31] 26961 INFO/main: Starting up
[17.12.2009 11:57:31] 26961 INFO/kill: Removed 0 address(es)
[17.12.2009 11:57:31] 26961 INFO/collect: Updated timestamps
[17.12.2009 11:57:32] 26961 INFO/collect: Read 5 records (2 uniques) and inserted 2
[17.12.2009 11:57:32] 26961 INFO/collect: Timestamp updated
[17.12.2009 11:57:32] 26961 INFO/merge: Working on 1
[17.12.2009 11:57:32] 26961 INFO/unsub: Working on 1
[17.12.2009 11:57:32] 26961 INFO/unsub: Company 1 has 0 active and 0 marked as hardbounced users
[17.12.2009 11:57:32] 26961 INFO/main: Going down

Discussion

  • Shuro

    Shuro - 2009-12-17

    also initial cronjob-run has failure: the where-part on line 81 didn't catch some thing because there is nothing with changedate in the future :-)

    change_date > now()

    Line 62;
    INSERT INTO timestamp_tbl (timestamp_id, description, cur, prev, temp) VALUES (2, \'Softbounce collection marker\', now(), \'1980-01-01\', now() )

    Line 81:
    query += 'WHERE change_date > (SELECT cur FROM timestamp_tbl WHERE timestamp_id = 2) AND change_date <= (SELECT temp FROM timestamp_tbl WHERE timestamp_id = 2) '

    Solution:
    Change Line 62;
    INSERT INTO timestamp_tbl (timestamp_id, description, cur, prev, temp) VALUES (2, \'Softbounce collection marker\', \'1980-01-01\', \'1980-01-01\', now() )

     
  • Martin Aschoff

    Martin Aschoff - 2009-12-17

    We do not understand what you consider to be wrong. Please describe what you consider an error from the user perspective (database tables are not visible to the end user).

    Please do not post two bugs in one thread, because only one tracking ID is generated and we can not handle the issues separately.

     
  • Martin Aschoff

    Martin Aschoff - 2009-12-17
    • status: open --> pending
     
  • Shuro

    Shuro - 2009-12-17

    okay, there are no error's displayed for the user, but i'am the system administrator and i don't want a system that doesn't work, and the softbounce-script did not work with 1 softbounced subscriber... with 2+ softbounced subscribers the script works fine.

     
  • Shuro

    Shuro - 2009-12-17
    • status: pending --> open
     
  • Shuro

    Shuro - 2009-12-21

    Seems the reason is in line 137 and 144, both use "< %d" but it must be "<= %d" i think, because %d is the highest used mailtrack_id (or you use something like "%d +1"

     
  • Martin Aschoff

    Martin Aschoff - 2010-01-04
    • priority: 5 --> 1
    • status: open --> closed-rejected
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks